List People
curl --request GET \
--url https://crm.universal.rollout.com/api/people-relationships \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://crm.universal.rollout.com/api/people-relationships"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://crm.universal.rollout.com/api/people-relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"collection": "<string>",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"people-relationships": [
{
"id": "<string>",
"personId": "<string>",
"type": "<string>",
"isPriority": true,
"firstName": "<string>",
"lastName": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
}
],
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}People Relationships
List People
GET /people-relationships
GET
/
people-relationships
List People
GET /people-relationships
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
next | query | string | No |
offset | query | string(numeric) | number | No |
limit | query | number | No |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/crm.json GET /people-relationshipsAuthorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
⌘I